summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure284
1 files changed, 13 insertions, 271 deletions
diff --git a/configure b/configure
index 87982e389d..4613f5d6cd 100755
--- a/configure
+++ b/configure
@@ -622,7 +622,7 @@ CFG_SM=auto
CFG_XSHAPE=auto
CFG_XSYNC=auto
CFG_XFIXES=runtime
-CFG_ZLIB=auto
+CFG_SYSTEM_ZLIB=auto
CFG_MTDEV=auto
CFG_JOURNALD=no
CFG_SYSLOG=no
@@ -637,10 +637,6 @@ CFG_XRANDR=runtime
CFG_XRENDER=auto
CFG_MITSHM=auto
CFG_OPENGL=auto
-CFG_OPENVG=auto
-CFG_OPENVG_LC_INCLUDES=no
-CFG_OPENVG_SHIVA=auto
-CFG_OPENVG_ON_OPENGL=auto
CFG_EGL=auto
CFG_EGL_X=auto
CFG_DOUBLECONVERSION=auto
@@ -999,16 +995,6 @@ while [ "$#" -gt 0 ]; do
VAL=$1
fi
;;
- -openvg)
- VAR=openvg
- # this option may or may not be followed by an argument
- if [ -z "$2" ] || echo "$2" | grep '^-' >/dev/null 2>&1; then
- VAL=yes
- else
- shift;
- VAL=$1
- fi
- ;;
-gstreamer)
VAR=gstreamer
# this option may or may not be followed by an argument
@@ -1283,13 +1269,6 @@ while [ "$#" -gt 0 ]; do
UNKNOWN_OPT=yes
fi
;;
- openvg)
- if [ "$VAL" = "auto" ] || [ "$VAL" = "yes" ] || [ "$VAL" = "no" ]; then
- CFG_OPENVG="$VAL"
- else
- UNKNOWN_OPT=yes
- fi
- ;;
nomake)
if [ -n "${QT_ALL_BUILD_PARTS%%* $VAL *}" ]; then
echo "Unknown part $VAL passed to -nomake." >&2
@@ -1683,9 +1662,10 @@ while [ "$#" -gt 0 ]; do
fi
;;
zlib)
- [ "$VAL" = "qt" ] && VAL=yes
- if [ "$VAL" = "yes" ] || [ "$VAL" = "no" ] || [ "$VAL" = "system" ]; then
- CFG_ZLIB="$VAL"
+ if [ "$VAL" = "system" ]; then
+ CFG_SYSTEM_ZLIB="yes"
+ elif [ "$VAL" = "qt" ]; then
+ CFG_SYSTEM_ZLIB="no"
else
UNKNOWN_OPT=yes
fi
@@ -4451,21 +4431,6 @@ if $stdcxx_error && [ "$CFG_CONFIGURE_EXIT_ON_ERROR" = "yes" ]; then
exit 101
fi
-# Detect which edition of the C++ standard the compiler defaults to
-CFG_STDCXX_DEFAULT=199711
-if compileTest common/c++default "default C++ standard edition"; then
- if [ -e "$outpath/config.tests/common/c++default/c++default.ii" ]; then
- CFG_STDCXX_DEFAULT=`sed -n '/^[0-9]/s/L//p' "$outpath/config.tests/common/c++default/c++default.ii"`
- else
- if [ "$OPT_VERBOSE" = "yes" ]; then
- echo "Failed to run the preprocessor, something is wrong with your compiler"
- fi
- if [ "$CFG_CONFIGURE_EXIT_ON_ERROR" = "yes" ]; then
- exit 101
- fi
- fi
-fi
-
# Detect whether 64-bit std::atomic works -- some 32-bit platforms require extra library support
if compileTest common/atomic64 "64-bit std::atomic"; then
CFG_ATOMIC64=yes
@@ -4662,21 +4627,6 @@ if ! compileTest unix/ipc_sysv "ipc_sysv" ; then
fi
fi
-# detect zlib
-if [ "$CFG_ZLIB" = "no" ]; then
- # Note: Qt no longer support builds without zlib
- # So we force a "no" to be "auto" here.
- # If you REALLY really need no zlib support, you can still disable
- # it by doing the following:
- # add "no-zlib" to mkspecs/qconfig.pri
- # #define QT_NO_COMPRESS (probably by adding to src/corelib/global/qconfig.h)
- #
- # There's no guarantee that Qt will build under those conditions
-
- CFG_ZLIB=auto
- ZLIB_FORCED=yes
-fi
-
if [ "$XPLATFORM_QNX" = "yes" ]; then
if [ "$CFG_SLOG2" != "no" ]; then
if compileTest unix/slog2 "slog2"; then
@@ -4718,11 +4668,12 @@ if [ "$XPLATFORM_INTEGRITY" = "yes" ]; then
CFG_LARGEFILE=no
fi
-if [ "$CFG_ZLIB" = "auto" ]; then
+# detect zlib
+if [ "$CFG_SYSTEM_ZLIB" = "auto" ]; then
if compileTest unix/zlib "zlib"; then
- CFG_ZLIB=system
+ CFG_SYSTEM_ZLIB=yes
else
- CFG_ZLIB=yes
+ CFG_SYSTEM_ZLIB=no
fi
fi
@@ -6203,44 +6154,6 @@ if [ "$CFG_PCRE" != "qt" ]; then
fi
fi
-# detect OpenVG support
-if [ "$CFG_OPENVG" != "no" ]; then
- if compileTest unix/openvg "OpenVG"; then
- if [ "$CFG_OPENVG" = "auto" ]; then
- CFG_OPENVG=yes
- fi
- elif compileTest unix/openvg "OpenVG" -config openvg_on_opengl; then
- if [ "$CFG_OPENVG" = "auto" ]; then
- CFG_OPENVG=yes
- fi
- CFG_OPENVG_ON_OPENGL=yes
- elif compileTest unix/openvg "OpenVG (lc includes)" -config lower_case_includes; then
- if [ "$CFG_OPENVG" = "auto" ]; then
- CFG_OPENVG=yes
- fi
- CFG_OPENVG_LC_INCLUDES=yes
- elif compileTest unix/openvg "OpenVG (lc includes)" -config "openvg_on_opengl lower_case_includes"; then
- if [ "$CFG_OPENVG" = "auto" ]; then
- CFG_OPENVG=yes
- fi
- CFG_OPENVG_LC_INCLUDES=yes
- CFG_OPENVG_ON_OPENGL=yes
- else
- if [ "$CFG_OPENVG" != "auto" ] && [ "$CFG_CONFIGURE_EXIT_ON_ERROR" = "yes" ]; then
- echo "$CFG_OPENVG was specified for OpenVG but cannot be enabled due to functionality tests!"
- echo " Turn on verbose messaging (-v) to $0 to see the final report."
- echo " If you believe this message is in error you may use the continue"
- echo " switch (-continue) to $0 to continue."
- exit 101
- else
- CFG_OPENVG=no
- fi
- fi
- if [ "$CFG_OPENVG" = "yes" ] && compileTest unix/shivavg "ShivaVG"; then
- CFG_OPENVG_SHIVA=yes
- fi
-fi
-
if [ "$CFG_ALSA" = "auto" ]; then
if compileTest unix/alsa "alsa"; then
CFG_ALSA=yes
@@ -6365,23 +6278,6 @@ if [ "$CFG_EGLFS_VIV" = "yes" ]; then
fi
fi
-# enable openvg
-if [ "$CFG_OPENVG" = "no" ]; then
- QCONFIG_FLAGS="$QCONFIG_FLAGS QT_NO_OPENVG"
-else
- QT_CONFIG="$QT_CONFIG openvg"
- if [ "$CFG_OPENVG_LC_INCLUDES" = "yes" ]; then
- QCONFIG_FLAGS="$QCONFIG_FLAGS QT_LOWER_CASE_VG_INCLUDES"
- fi
- if [ "$CFG_OPENVG_ON_OPENGL" = "yes" ]; then
- QT_CONFIG="$QT_CONFIG openvg_on_opengl"
- fi
- if [ "$CFG_OPENVG_SHIVA" = "yes" ]; then
- QT_CONFIG="$QT_CONFIG shivavg"
- QCONFIG_FLAGS="$QCONFIG_FLAGS QT_SHIVAVG"
- fi
-fi
-
# enable opengl
if [ "$CFG_OPENGL" = "no" ]; then
QCONFIG_FLAGS="$QCONFIG_FLAGS QT_NO_OPENGL"
@@ -6536,11 +6432,9 @@ fi
if [ "$XPLATFORM_MAC" = "yes" ]; then
#On Mac we implicitly link against libz, so we
#never use the 3rdparty stuff.
- [ "$CFG_ZLIB" = "yes" ] && CFG_ZLIB="system"
+ CFG_SYSTEM_ZLIB=yes
fi
-if [ "$CFG_ZLIB" = "yes" ]; then
- QT_CONFIG="$QT_CONFIG zlib"
-elif [ "$CFG_ZLIB" = "system" ]; then
+if [ "$CFG_SYSTEM_ZLIB" = "yes" ]; then
QT_CONFIG="$QT_CONFIG system-zlib"
fi
@@ -6651,137 +6545,8 @@ if [ "$CFG_PCRE" = "qt" ]; then
QMAKE_CONFIG="$QMAKE_CONFIG pcre"
fi
-#
-# Some Qt modules are too advanced in C++ for some old compilers
-# Detect here the platforms where they are known to work.
-#
-# See Qt documentation for more information on which features are
-# supported and on which compilers.
-#
-canBuildQtConcurrent="yes"
-
-case "$XPLATFORM" in
- hpux-g++*)
- # PA-RISC's assembly is too limited
- # gcc 3.4 on that platform can't build QtXmlPatterns
- # the assembly it generates cannot be compiled
-
- # Check gcc's version
- case "$(${QMAKE_CONF_COMPILER} -dumpversion)" in
- 4*)
- ;;
- 3.4*)
- canBuildQtXmlPatterns="no"
- ;;
- *)
- canBuildWebKit="no"
- canBuildQtXmlPatterns="no"
- ;;
- esac
- ;;
- unsupported/vxworks-*-g++*)
- canBuildWebKit="no"
- ;;
- unsupported/vxworks-*-dcc*)
- canBuildWebKit="no"
- canBuildQtXmlPatterns="no"
- ;;
- *-g++*)
- # Check gcc's version
- case "$(${QMAKE_CONF_COMPILER} -dumpversion)" in
- 4*|3.4*)
- ;;
- 3.3*)
- canBuildWebKit="no"
- ;;
- *)
- canBuildWebKit="no"
- canBuildQtXmlPatterns="no"
- ;;
- esac
- ;;
- solaris-cc*)
- # Check the compiler version
- case `${QMAKE_CONF_COMPILER} -V 2>&1 | $AWK '{print $4}'` in
- 5.[012345678])
- canBuildWebKit="no"
- canBuildQtXmlPatterns="no"
- canBuildQtConcurrent="no"
- ;;
- 5.*)
- canBuildWebKit="no"
- canBuildQtConcurrent="no"
- ;;
- esac
- ;;
- hpux-acc*)
- canBuildWebKit="no"
- canBuildQtXmlPatterns="no"
- canBuildQtConcurrent="no"
- ;;
- hpuxi-acc*)
- canBuildWebKit="no"
- ;;
- aix-xlc*)
- # Get the xlC version
- cat > xlcver.c <<EOF
-#include <stdio.h>
-int main()
-{
- printf("%d.%d\n", __xlC__ >> 8, __xlC__ & 0xFF);
- return 0;
-}
-EOF
- xlcver=
- if ${QMAKE_CONF_COMPILER} -o xlcver xlcver.c >/dev/null 2>/dev/null; then
- xlcver=`./xlcver 2>/dev/null`
- rm -f ./xlcver
- fi
- if [ "$OPT_VERBOSE" = "yes" ]; then
- if [ -n "$xlcver" ]; then
- echo Found IBM xlC version: $xlcver.
- else
- echo Could not determine IBM xlC version, assuming oldest supported.
- fi
- fi
-
- case "$xlcver" in
- [123456].*)
- canBuildWebKit="no"
- canBuildQtXmlPatterns="no"
- canBuildQtConcurrent="no"
- ;;
- *)
- canBuildWebKit="no"
- canBuildQtConcurrent="no"
- ;;
- esac
- ;;
- irix-cc*)
- canBuildWebKit="no"
- canBuildQtConcurrent="no"
- ;;
-esac
-
-if [ "$CFG_GUI" = "no" ]; then
- # WebKit requires Qt GUI
- canBuildWebKit="no"
-fi
-
-if [ "$CFG_SHARED" = "no" ]; then
- echo
- echo "WARNING: Using static linking will disable the WebKit module."
- echo
- canBuildWebKit="no"
-fi
-
CFG_CONCURRENT="yes"
-if [ "$canBuildQtConcurrent" = "no" ]; then
- QCONFIG_FLAGS="$QCONFIG_FLAGS QT_NO_CONCURRENT"
- CFG_CONCURRENT="no"
-else
- QT_CONFIG="$QT_CONFIG concurrent"
-fi
+QT_CONFIG="$QT_CONFIG concurrent"
# ### Vestige
if [ "$CFG_AUDIO_BACKEND" = "yes" ]; then
@@ -6954,7 +6719,6 @@ QMakeVar set sql-plugins "$SQL_PLUGINS"
[ "$CFG_GIF" = "yes" ] && QCONFIG_FLAGS="$QCONFIG_FLAGS QT_BUILTIN_GIF_READER=1"
[ "$CFG_PNG" != "yes" ] && QCONFIG_FLAGS="$QCONFIG_FLAGS QT_NO_IMAGEFORMAT_PNG"
[ "$CFG_JPEG" != "yes" ] && QCONFIG_FLAGS="$QCONFIG_FLAGS QT_NO_IMAGEFORMAT_JPEG"
-[ "$CFG_ZLIB" != "yes" ] && QCONFIG_FLAGS="$QCONFIG_FLAGS QT_NO_ZLIB"
[ "$CFG_DBUS" = "no" ] && QCONFIG_FLAGS="$QCONFIG_FLAGS QT_NO_DBUS"
[ "$CFG_LIBPROXY" = "no" ] && QCONFIG_FLAGS="$QCONFIG_FLAGS QT_NO_LIBPROXY"
@@ -7168,7 +6932,6 @@ if [ -n "$CFG_SYSROOT" ] && [ "$CFG_GCC_SYSROOT" = "yes" ]; then
echo "}"
echo
fi
-echo "QT_COMPILER_STDCXX = $CFG_STDCXX_DEFAULT"
if [ -n "$QT_GCC_MAJOR_VERSION" ]; then
echo "QT_GCC_MAJOR_VERSION = $QT_GCC_MAJOR_VERSION"
echo "QT_GCC_MINOR_VERSION = $QT_GCC_MINOR_VERSION"
@@ -7444,7 +7207,6 @@ report_support " NIS ...................." "$CFG_NIS"
report_support " OpenGL / OpenVG:"
report_support " EGL .................." "$CFG_EGL"
report_support " OpenGL ..............." "$CFG_OPENGL" yes "Desktop OpenGL" es2 "OpenGL ES 2.0+"
-report_support " OpenVG ..............." "$CFG_OPENVG-$CFG_OPENVG_SHIVA" yes-yes "ShivaVG" yes-no "native"
report_support " PCRE ..................." "$CFG_PCRE" yes "system library" qt "bundled copy"
if [ -n "$PKG_CONFIG" ]; then
report_support " pkg-config ............. yes"
@@ -7500,7 +7262,7 @@ report_support " tslib .................." "$CFG_TSLIB"
report_support " udev ..................." "$CFG_LIBUDEV"
report_support " xkbcommon-x11..........." "$CFG_XKBCOMMON" system "system library" qt "bundled copy, XKB config root: $CFG_XKB_CONFIG_ROOT"
report_support " xkbcommon-evdev........." "$CFG_XKBCOMMON_EVDEV"
-report_support " zlib ..................." "$CFG_ZLIB" system "system library" yes "bundled copy"
+report_support " zlib ..................." "$CFG_SYSTEM_ZLIB" yes "system library" no "bundled copy"
echo
@@ -7598,26 +7360,6 @@ EOF
fi
#-------------------------------------------------------------------------------
-# check if the user passed the -no-zlib option, which is no longer supported
-#-------------------------------------------------------------------------------
-if [ -n "$ZLIB_FORCED" ]; then
- which_zlib="supplied"
- if [ "$CFG_ZLIB" = "system" ]; then
- which_zlib="system"
- fi
-
-cat <<EOF
-
- NOTICE: The -no-zlib option was supplied but is no longer
- supported.
-
- Qt now requires zlib support in all builds, so the -no-zlib
- option was ignored. Qt will be built using the $which_zlib
- zlib.
-EOF
-fi
-
-#-------------------------------------------------------------------------------
# check if the user passed the obsoleted -wayland or -no-wayland flag
#-------------------------------------------------------------------------------
if [ "$CFG_OBSOLETE_WAYLAND" = "yes" ]; then